# SPDX-License-Identifier: BSD-2-Clause
#
# SPDX-FileCopyrightText: Copyright (c) 2022-2025, NVIDIA CORPORATION & AFFILIATES. All rights reserved.
#
incdirs-y += .
incdirs-y += ../common/include

srcs-$(CFG_TEGRA_SE) += tegra_se_driver_init.c
srcs-$(CFG_TEGRA_SE) += tegra_se_driver_aes.c
srcs-$(CFG_TEGRA_SE) += ../common/tegra_se_driver_rng.c
srcs-$(CFG_TEGRA_SE) += ../common/tegra_se_map_device.c
srcs-$(CFG_TEGRA_FUSE) += ../common/tegra_fuse.c
srcs-$(CFG_CRYPTO_DRV_HASH_TEGRA_SE) += ../common/tegra_driver_hash.c
srcs-$(CFG_RPMB_FS) += tegra_rpmb.c
